import { createAction, props } from '@ngrx/store';
import {
  InfoRequest,
  Info,
  InfoResponse
} from '@ucap-webmessenger/protocol-event';

export const info = createAction(
  '[Messenger::Event] Info',
  props<InfoRequest>()
);

export const infoSuccess = createAction(
  '[Messenger::Event] Info Success',
  props<{
    infoList: Info[];
    res: InfoResponse;
  }>()
);

export const infoFailure = createAction(
  '[Messenger::Event] Info Failure',
  props<{ error: any }>()
);
